﻿/// <reference name="MicrosoftAjax.js"/>
/// <reference path="../Script/jquery-1.4.1-vsdoc.js"/>

//Depends on jqueryUI ( JavaScript Files: jquery.js, ui.core.js, ui.button.js )

JData.Toolbar = function() {
}

JData.Toolbar.prototype = {

}
JData.Toolbar.applyTo = function(gridView) {
    if (gridView == null) throw Error.argumentNull('gridView');

    var orgMethod = gridView._CreateHeader;
    var newMethod = function() {
        orgMethod.apply(gridView, new Array());

        var index = gridView.get_showCaption() ? 1 : 0;
        var row = gridView.createHeaderRow(index, {}, JData.SingleCellRow);
        row.get_cells()[0].get_element().innerHTML = '';
        var toolbar = row.get_cells()[0].get_element();
        toolbar.className = 'ui-widget ui-state-default';
        var buttons = [{ name: 'Add', icon: 'ui-icon-plusthick' }, { name: 'Edit', icon: 'ui-icon-pencil' }, { name: 'Delete', icon: 'ui-icon-closethick'}];
        for (var i = 0; i < buttons.length; i++) {
            var button = document.createElement('buttnn');
            button.innerHTML = buttons[i].name;
            button.style.height = '24px';
            toolbar.appendChild(button);
            $(button).button({ icons: { primary: buttons[i].icon} });
        }
    }
    gridView._CreateHeader = newMethod;
}

JData.Toolbar.registerClass('JData.Toolbar');


