﻿
Type.registerNamespace("WebApplication");

WebApplication.Order = function() {
	/// <field name="OrderID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="CustomerID" type="System.String" integer="false" static="false"/>"
	/// <field name="EmployeeID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="OrderDate" type="System.DateTime" integer="false" static="false"/>"
	/// <field name="RequiredDate" type="System.DateTime" integer="false" static="false"/>"
	/// <field name="ShippedDate" type="System.DateTime" integer="false" static="false"/>"
	/// <field name="ShipVia" type="System.Int32" integer="false" static="false"/>"
	/// <field name="Freight" type="System.Single" integer="false" static="false"/>"
	/// <field name="ShipName" type="System.String" integer="false" static="false"/>"
	/// <field name="ShipAddress" type="System.String" integer="false" static="false"/>"
	/// <field name="ShipCity" type="System.String" integer="false" static="false"/>"
	/// <field name="ShipRegion" type="System.String" integer="false" static="false"/>"
	/// <field name="ShipPostalCode" type="System.String" integer="false" static="false"/>"
	/// <field name="ShipCountry" type="System.String" integer="false" static="false"/>"
	/// <field name="OrderDetails" type="Array" integer="false" static="false"/>
	this.OrderID = undefined;	
	this.CustomerID = undefined;	
	this.EmployeeID = undefined;	
	this.OrderDate = undefined;	
	this.RequiredDate = undefined;	
	this.ShippedDate = undefined;	
	this.ShipVia = undefined;	
	this.Freight = undefined;	
	this.ShipName = undefined;	
	this.ShipAddress = undefined;	
	this.ShipCity = undefined;	
	this.ShipRegion = undefined;	
	this.ShipPostalCode = undefined;	
	this.ShipCountry = undefined;	
	this.OrderDetails = new Array()
}

WebApplication.OrderDetail = function() {
	/// <field name="OrderID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="ProductID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="UnitPrice" type="System.Single" integer="false" static="false"/>"
	/// <field name="Quantity" type="System.Int16" integer="false" static="false"/>"
	/// <field name="Discount" type="System.Single" integer="false" static="false"/>"
	this.OrderID = undefined;	
	this.ProductID = undefined;	
	this.UnitPrice = undefined;	
	this.Quantity = undefined;	
	this.Discount = undefined;	
}

WebApplication.Product = function() {
	/// <field name="ProductID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="ProductName" type="System.String" integer="false" static="false"/>"
	/// <field name="SupplierID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="CategoryID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="QuantityPerUnit" type="System.String" integer="false" static="false"/>"
	/// <field name="UnitPrice" type="System.Single" integer="false" static="false"/>"
	/// <field name="UnitsInStock" type="System.Int16" integer="false" static="false"/>"
	/// <field name="UnitsOnOrder" type="System.Int16" integer="false" static="false"/>"
	/// <field name="ReorderLevel" type="System.Int16" integer="false" static="false"/>"
	/// <field name="Discontinued" type="System.Boolean" integer="false" static="false"/>"
	/// <field name="OrderDetails" type="Array" integer="false" static="false"/>
	this.ProductID = undefined;	
	this.ProductName = undefined;	
	this.SupplierID = undefined;	
	this.CategoryID = undefined;	
	this.QuantityPerUnit = undefined;	
	this.UnitPrice = undefined;	
	this.UnitsInStock = undefined;	
	this.UnitsOnOrder = undefined;	
	this.ReorderLevel = undefined;	
	this.Discontinued = undefined;	
	this.OrderDetails = new Array()
}

WebApplication.Category = function() {
	/// <field name="CategoryID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="CategoryName" type="System.String" integer="false" static="false"/>"
	/// <field name="Description" type="System.String" integer="false" static="false"/>"
	/// <field name="Picture" type="System.Byte[]" integer="false" static="false"/>"
	/// <field name="Products" type="Array" integer="false" static="false"/>
	this.CategoryID = undefined;	
	this.CategoryName = undefined;	
	this.Description = undefined;	
	this.Picture = undefined;	
	this.Products = new Array()
}

WebApplication.Employee = function() {
	/// <field name="EmployeeID" type="System.Int32" integer="false" static="false"/>"
	/// <field name="LastName" type="System.String" integer="false" static="false"/>"
	/// <field name="FirstName" type="System.String" integer="false" static="false"/>"
	/// <field name="Title" type="System.String" integer="false" static="false"/>"
	/// <field name="TitleOfCourtesy" type="System.String" integer="false" static="false"/>"
	/// <field name="BirthDate" type="System.DateTime" integer="false" static="false"/>"
	/// <field name="HireDate" type="System.DateTime" integer="false" static="false"/>"
	/// <field name="Address" type="System.String" integer="false" static="false"/>"
	/// <field name="City" type="System.String" integer="false" static="false"/>"
	/// <field name="Region" type="System.String" integer="false" static="false"/>"
	/// <field name="PostalCode" type="System.String" integer="false" static="false"/>"
	/// <field name="Country" type="System.String" integer="false" static="false"/>"
	/// <field name="HomePhone" type="System.String" integer="false" static="false"/>"
	/// <field name="Extension" type="System.String" integer="false" static="false"/>"
	/// <field name="Photo" type="System.Byte[]" integer="false" static="false"/>"
	/// <field name="Notes" type="System.String" integer="false" static="false"/>"
	/// <field name="ReportsTo" type="System.Int32" integer="false" static="false"/>"
	/// <field name="PhotoPath" type="System.String" integer="false" static="false"/>"
	/// <field name="Employees" type="Array" integer="false" static="false"/>
	/// <field name="Orders" type="Array" integer="false" static="false"/>
	this.EmployeeID = undefined;	
	this.LastName = undefined;	
	this.FirstName = undefined;	
	this.Title = undefined;	
	this.TitleOfCourtesy = undefined;	
	this.BirthDate = undefined;	
	this.HireDate = undefined;	
	this.Address = undefined;	
	this.City = undefined;	
	this.Region = undefined;	
	this.PostalCode = undefined;	
	this.Country = undefined;	
	this.HomePhone = undefined;	
	this.Extension = undefined;	
	this.Photo = undefined;	
	this.Notes = undefined;	
	this.ReportsTo = undefined;	
	this.PhotoPath = undefined;	
	this.Employees = new Array()
	this.Orders = new Array()
}

WebApplication.Customer = function() {
	/// <field name="CustomerID" type="System.String" integer="false" static="false"/>"
	/// <field name="CompanyName" type="System.String" integer="false" static="false"/>"
	/// <field name="ContactName" type="System.String" integer="false" static="false"/>"
	/// <field name="ContactTitle" type="System.String" integer="false" static="false"/>"
	/// <field name="Address" type="System.String" integer="false" static="false"/>"
	/// <field name="City" type="System.String" integer="false" static="false"/>"
	/// <field name="Region" type="System.String" integer="false" static="false"/>"
	/// <field name="PostalCode" type="System.String" integer="false" static="false"/>"
	/// <field name="Country" type="System.String" integer="false" static="false"/>"
	/// <field name="Phone" type="System.String" integer="false" static="false"/>"
	/// <field name="Fax" type="System.String" integer="false" static="false"/>"
	/// <field name="Orders" type="Array" integer="false" static="false"/>
	this.CustomerID = undefined;	
	this.CompanyName = undefined;	
	this.ContactName = undefined;	
	this.ContactTitle = undefined;	
	this.Address = undefined;	
	this.City = undefined;	
	this.Region = undefined;	
	this.PostalCode = undefined;	
	this.Country = undefined;	
	this.Phone = undefined;	
	this.Fax = undefined;	
	this.Orders = new Array()
}


